import type { IEventBus } from "../../../utils/EventBus";
import type { ILedgerConnectPanelData } from './ledger.types';
interface ILedgerConnectEventBusProps {
    forceUpdateFn: () => void;
    closeFn: () => void;
}
export declare class LedgerConnectBase {
    data: ILedgerConnectPanelData;
    eventBus: IEventBus;
    selectedIndex: number;
    selectedAddress: string;
    constructor(data: ILedgerConnectPanelData);
    getEventBus(): IEventBus;
    accessWallet(): void;
    selectAccount(index: number): void;
    goToPage(page: number): void;
    subscribeEventBus({ closeFn, forceUpdateFn }: ILedgerConnectEventBusProps): void;
    unsubscribeEventBus({ closeFn, forceUpdateFn }: ILedgerConnectEventBusProps): void;
    private dataUpdate;
}
export {};
